%klasifikace


[Y,Pf,Af] = sim(sit,1,[],[test1]);   %simulace sítě

Y=Y';
A=reshape(Y,[8,8]);                 %převedení výstupu zpět na matici 8x8
A=A';

A(A>0)=1;                           %zaokrouhlení hodnot větších než 0 na 1
A(A<0)=-1; 

A=reshape(A,[8,8]);
vystup=A';
imwrite(vystup,'vystup.bmp');         % převedení na obrázek a uložení

z=round(vystup');                    % zobrazení
z=[z  z(:,end)]; z=[z; z(end,:)];
[x,y] = meshgrid(1:1:8, 1:1:8);
surf(x,y,z)
view(90,90)
colormap gray

